Subject: Re: bug#20484: bug#20202: Considered Harmful 73d213: 'Comint, term, and compile new set Emacs'

From: Stefan Monnier <[email-masked]>
Date: Sun, 10 Apr 2016 09:57:39 -0400

> ?- trace, member(X, [a,b,c]).
>    Call: (8) lists:member(_G2, [a, b, c]) ? a
> % Execution Aborted
> ?-
>
> The same interaction in emacs-25 now:
>
> 1 ?- trace, member(X, [a,b,c]).
>    Call: (8) lists:member(_G2, [a, b, c]) ? a
> abort
> % Execution Aborted
> 2 ?-

Hmm.. what are those "abort" and "2" in the output?

When running swipl inside a terminal I don't see these, so why do we see
them in M-x run-prolog?

> I suppose the differences might be annoying to someone who does a lot of
> Prolog debugging.

Indeed.

> I have to debug GNU Prolog under Emacs due to gprolog's mishandling of tty
> modes under Emacs, this is something I've never gotten sufficiently annoyed
> at to fix, even though it's been ten years since I first ran afoul of it.

FWIW, the current prolog.el has some tweaks for GNU Prolog which might
be relevant.  So you might like to try again and see if the problem is
still present.  If not, report it as a bug (and put me in X-Debbugs-Cc).

        Stefan